Index: /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/facultymanagepage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/facultymanagepage.pt	(revision 6167)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/facultymanagepage.pt	(revision 6168)
@@ -1,175 +1,178 @@
 <h2 i18n:translate=""
-tal:condition="view/label"
-tal:content="view/label">Label</h2>
+    tal:condition="view/label"
+    tal:content="view/label">Label</h2>
 
 <div class="form-status"
-tal:define="status view/status"
-tal:condition="status">
+     tal:define="status view/status"
+     tal:condition="status">
 
-<div i18n:translate="" tal:content="view/status">
-  Form status summary
-</div>
+  <div i18n:translate="" tal:content="view/status">
+    Form status summary
+  </div>
 
-<ul class="errors" tal:condition="view/errors">
-  <li tal:repeat="error view/error_views">
-     <span tal:replace="structure error">Error Type</span>
-  </li>
-</ul>
+  <ul class="errors" tal:condition="view/errors">
+    <li tal:repeat="error view/error_views">
+      <span tal:replace="structure error">Error Type</span>
+    </li>
+  </ul>
 </div>
 
 
 <form action="." tal:attributes="action request/URL" method="POST"
-      class="edit-form" enctype="multipart/form-data"> 
+      class="edit-form" enctype="multipart/form-data">
 
-<div id="tabs">
-<ul>
-  <li><a href="#tab-1"><span>Settings</span></a></li>
-  <li><a href="#tab-2"><span tal:content="view/subunits">Contents</span></a></li>
-  <li><a href="#tab-3"><span>Local Roles</span></a></li>
-</ul>
-   
-<div id="tab-1">        
-    <table class="zebra">
-        <tbody>
-        <tal:block repeat="widget view/widgets">
-            <tr>
-              <td class="label" tal:define="hint widget/hint">
-            <label tal:condition="python:hint"
-                   tal:attributes="for widget/name">
-              <span class="required" tal:condition="widget/required"
-            	>*</span><span i18n:translate=""
-            	tal:content="widget/label">label</span>
-            </label>
-            <label tal:condition="python:not hint"
-                   tal:attributes="for widget/name">
-              <span class="required" tal:condition="widget/required"
-            	>*</span><span i18n:translate=""
-            	tal:content="widget/label">label</span>
-            </label>:
-              </td>
-              <td class="field">
-            <div class="widget" tal:content="structure widget">
-              <input type="text" />
-            </div>
-            <div class="error" tal:condition="widget/error">
-              <span tal:replace="structure widget/error">error</span>
-            </div>
-              </td>
-            </tr>
-        </tal:block>
-        </tbody>
-    </table>
+  <div id="tabs">
+    <ul>
+      <li><a href="#tab-1"><span>Settings</span></a></li>
+      <li><a href="#tab-2">
+	<span tal:content="view/subunits">Contents</span>
+      </a></li>
+      <li><a href="#tab-3"><span>Local Roles</span></a></li>
+    </ul>
 
-    <div class="actionButtons" tal:condition="view/availableActions">
-        <span tal:repeat="action view/actions"
-              tal:omit-tag="">
-          <input tal:condition="python:action.label in view.taboneactions"
-                 tal:replace="structure action/render"/>
-        </span>
+    <div id="tab-1">
+      <table class="zebra">
+	<tbody>
+	  <tal:block repeat="widget view/widgets">
+	    <tr>
+	      <td class="label" tal:define="hint widget/hint">
+		<label tal:condition="python:hint"
+		       tal:attributes="for widget/name">
+		  <span class="required" tal:condition="widget/required"
+			>*</span><span i18n:translate=""
+			tal:content="widget/label">label</span>
+		</label>
+		<label tal:condition="python:not hint"
+		       tal:attributes="for widget/name">
+		  <span class="required" tal:condition="widget/required"
+			>*</span><span i18n:translate=""
+			tal:content="widget/label">label</span>
+		  </label>:
+	      </td>
+	      <td class="field">
+		<div class="widget" tal:content="structure widget">
+		  <input type="text" />
+		</div>
+		<div class="error" tal:condition="widget/error">
+		  <span tal:replace="structure widget/error">error</span>
+		</div>
+	      </td>
+	    </tr>
+	  </tal:block>
+	</tbody>
+      </table>
+
+      <div class="actionButtons" tal:condition="view/availableActions">
+	<span tal:repeat="action view/actions"
+	      tal:omit-tag="">
+	  <input tal:condition="python:action.label in view.taboneactions"
+		 tal:replace="structure action/render"/>
+	</span>
+      </div>
+
     </div>
 
-</div>    
-    
-<div id="tab-2">
-  <h3 tal:content="view/subunits">Departments</h3>
-    <table class="zebra">
-    <thead>
-      <tr>
-        <th>&nbsp;</th><th>Code</th><th>Title</th>
-      </tr>
-    </thead>
-    <tbody>
-      <tr tal:repeat="dep context/values">
-        <td>
-          <input type="checkbox"
-    		 name="val_id"
-    		 tal:attributes="value dep/code" />
-        </td>
-        <td>
-          <a tal:attributes="href python: view.url(dep)"
-    	     tal:content="dep/__name__">
-        	ID
-          </a>
-        </td>
-        <td>
-          <span tal:content="dep/title">
-    	   ID
-          </span>
-        </td>
-      </tr>
-    </tbody>
-    </table>
-  
-    <div class="actionButtons" tal:condition="view/availableActions">
-        <span tal:repeat="action view/actions"
-              tal:omit-tag="">
-          <input tal:condition="python:action.label in view.tabtwoactions"
-                 tal:replace="structure action/render"/>
-        </span>
+    <div id="tab-2">
+      <h3 tal:content="view/subunits">Departments</h3>
+      <table class="zebra">
+	<thead>
+	  <tr>
+	    <th>&nbsp;</th><th>Code</th><th>Title</th>
+	  </tr>
+	</thead>
+	<tbody>
+	  <tr tal:repeat="dep context/values">
+	    <td>
+	      <input type="checkbox"
+		     name="val_id"
+		     tal:attributes="value dep/code" />
+	    </td>
+	    <td>
+	      <a tal:attributes="href python: view.url(dep)"
+		 tal:content="dep/__name__">
+		ID
+	      </a>
+	    </td>
+	    <td>
+	      <span tal:content="dep/title">
+		ID
+	      </span>
+	    </td>
+	  </tr>
+	</tbody>
+      </table>
+
+      <div class="actionButtons" tal:condition="view/availableActions">
+	<span tal:repeat="action view/actions"
+	      tal:omit-tag="">
+	  <input tal:condition="python:action.label in view.tabtwoactions"
+		 tal:replace="structure action/render"/>
+	</span>
+      </div>
     </div>
-</div>
 
-<div id="tab-3">
-    <br />
-    <table class="display dataTableManage">
-      <thead>
-        <tr>
-          <th>&nbsp;</th><th>User</th><th>Local Role</th>
-        </tr>
-      </thead>
-      <tbody>
-        <tr tal:repeat="entry view/getUsersWithLocalRoles"
-    	class="gradeB">
-    	  <td>
-            <input type="checkbox" name="role_id"
-                tal:attributes="value python: entry['user_name']+'|'+entry['local_role']" />
-          </td>
-          <td tal:content="entry/user_title">User
-          </td>
-          <td tal:content="entry/local_role_title">
-    	       Local Role
-          </td>
-        </tr>
-      </tbody>
-    </table>
-    <div class="actionButtons" tal:condition="view/availableActions">
-        <span tal:repeat="action view/actions"
-              tal:omit-tag="">
-          <input tal:condition="python:action.label in view.tabthreeactions1"
-                 tal:replace="structure action/render"/>
-        </span>
+    <div id="tab-3">
+      <br />
+      <table class="display dataTableManage">
+	<thead>
+	  <tr>
+	    <th>&nbsp;</th><th>User</th><th>Local Role</th>
+	  </tr>
+	</thead>
+	<tbody>
+	  <tr tal:repeat="entry view/getUsersWithLocalRoles"
+	      class="gradeB">
+	    <td>
+	      <input type="checkbox" name="role_id"
+		     tal:attributes="value python: entry['user_name']+'|'+entry['local_role']" />
+	    </td>
+	    <td tal:content="entry/user_title">User
+	    </td>
+	    <td tal:content="entry/local_role_title">
+	      Local Role
+	    </td>
+	  </tr>
+	</tbody>
+      </table>
+      <div class="actionButtons" tal:condition="view/availableActions">
+	<span tal:repeat="action view/actions"
+	      tal:omit-tag="">
+	  <input tal:condition="python:action.label in view.tabthreeactions1"
+		 tal:replace="structure action/render"/>
+	</span>
+      </div>
+      <br /><br />
+      <table class="zebra">
+	<tr>
+	  <td>
+	    <select  id="user" name="user"  tal:repeat="user view/getUsers">
+	      <option tal:attributes="value user/name">
+		<span tal:replace="user/val/description">USERTITLE</span>
+	      </option>
+	    </select>
+	  </td>
+	  <td>
+	    <select  id="local_role" name="local_role"
+		     tal:repeat="localrole view/getLocalRoles">
+	      <option tal:attributes="value localrole/name">
+		<span tal:replace="localrole/title">LOCALROLETITLE</span>
+	      </option>
+	    </select>
+	  </td>
+	  <td>
+	    <div class="actionButtons" tal:condition="view/availableActions">
+	      <span tal:repeat="action view/actions"
+		    tal:omit-tag="">
+		<input tal:condition="python:action.label in view.tabthreeactions2"
+		       tal:replace="structure action/render"/>
+	      </span>
+	    </div>
+	  </td>
+	</tr>
+      </table>
     </div>
-    <br /><br />
-    <table class="zebra">
-    <tr>
-        <td>
-            <select  id="user" name="user"  tal:repeat="user view/getUsers">
-              <option tal:attributes="value user/name">
-                <span tal:replace="user/val/description">USERTITLE</span>
-              </option>
-            </select>
-        </td>
-        <td>
-            <select  id="local_role" name="local_role"  tal:repeat="localrole view/getLocalRoles">
-              <option tal:attributes="value localrole/name">
-                <span tal:replace="localrole/title">LOCALROLETITLE</span>
-              </option>
-            </select>
-        </td>
-        <td>
-            <div class="actionButtons" tal:condition="view/availableActions">
-                <span tal:repeat="action view/actions"
-                      tal:omit-tag="">
-                  <input tal:condition="python:action.label in view.tabthreeactions2"
-                         tal:replace="structure action/render"/>
-                </span>
-            </div>
-        </td>
-    </tr>
-    </table>
-</div>
 
-</div>
-</form>  
+  </div>
+</form>
 
 