Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/facultymanagepage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/facultymanagepage.pt	(revision 6170)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/facultymanagepage.pt	(revision 6171)
@@ -26,5 +26,5 @@
       <li><a href="#tab-1"><span>Settings</span></a></li>
       <li><a href="#tab-2">
-	<span tal:content="view/subunits">Contents</span>
+        <span tal:content="view/subunits">Contents</span>
       </a></li>
       <li><a href="#tab-3"><span>Local Roles</span></a></li>
@@ -33,40 +33,40 @@
     <div id="tab-1">
       <table class="zebra">
-	<tbody>
-	  <tal:block repeat="widget view/widgets">
-	    <tr>
-	      <td class="label" tal:define="hint widget/hint">
-		<label tal:condition="python:hint"
-		       tal:attributes="for widget/name">
-		  <span class="required" tal:condition="widget/required"
-			>*</span><span i18n:translate=""
-			tal:content="widget/label">label</span>
-		</label>
-		<label tal:condition="python:not hint"
-		       tal:attributes="for widget/name">
-		  <span class="required" tal:condition="widget/required"
-			>*</span><span i18n:translate=""
-			tal:content="widget/label">label</span>
-		  </label>:
-	      </td>
-	      <td class="field">
-		<div class="widget" tal:content="structure widget">
-		  <input type="text" />
-		</div>
-		<div class="error" tal:condition="widget/error">
-		  <span tal:replace="structure widget/error">error</span>
-		</div>
-	      </td>
-	    </tr>
-	  </tal:block>
-	</tbody>
+        <tbody>
+          <tal:block repeat="widget view/widgets">
+            <tr>
+              <td class="label" tal:define="hint widget/hint">
+                <label tal:condition="python:hint"
+                       tal:attributes="for widget/name">
+                  <span class="required" tal:condition="widget/required"
+                        >*</span><span i18n:translate=""
+                        tal:content="widget/label">label</span>
+                </label>
+                <label tal:condition="python:not hint"
+                       tal:attributes="for widget/name">
+                  <span class="required" tal:condition="widget/required"
+                        >*</span><span i18n:translate=""
+                        tal:content="widget/label">label</span>
+                  </label>:
+              </td>
+              <td class="field">
+                <div class="widget" tal:content="structure widget">
+                  <input type="text" />
+                </div>
+                <div class="error" tal:condition="widget/error">
+                  <span tal:replace="structure widget/error">error</span>
+                </div>
+              </td>
+            </tr>
+          </tal:block>
+        </tbody>
       </table>
 
       <div class="actionButtons" tal:condition="view/availableActions">
-	<span tal:repeat="action view/actions"
-	      tal:omit-tag="">
-	  <input tal:condition="python:action.label in view.taboneactions"
-		 tal:replace="structure action/render"/>
-	</span>
+        <span tal:repeat="action view/actions"
+              tal:omit-tag="">
+          <input tal:condition="python:action.label in view.taboneactions"
+                 tal:replace="structure action/render"/>
+        </span>
       </div>
 
@@ -76,37 +76,37 @@
       <h3 tal:content="view/subunits">Departments</h3>
       <table class="zebra">
-	<thead>
-	  <tr>
-	    <th>&nbsp;</th><th>Code</th><th>Title</th>
-	  </tr>
-	</thead>
-	<tbody>
-	  <tr tal:repeat="dep context/values">
-	    <td>
-	      <input type="checkbox"
-		     name="val_id"
-		     tal:attributes="value dep/code" />
-	    </td>
-	    <td>
-	      <a tal:attributes="href python: view.url(dep)"
-		 tal:content="dep/__name__">
-		ID
-	      </a>
-	    </td>
-	    <td>
-	      <span tal:content="dep/title">
-		ID
-	      </span>
-	    </td>
-	  </tr>
-	</tbody>
+        <thead>
+          <tr>
+            <th>&nbsp;</th><th>Code</th><th>Title</th>
+          </tr>
+        </thead>
+        <tbody>
+          <tr tal:repeat="dep context/values">
+            <td>
+              <input type="checkbox"
+                     name="val_id"
+                     tal:attributes="value dep/code" />
+            </td>
+            <td>
+              <a tal:attributes="href python: view.url(dep)"
+                 tal:content="dep/__name__">
+                ID
+              </a>
+            </td>
+            <td>
+              <span tal:content="dep/title">
+                ID
+              </span>
+            </td>
+          </tr>
+        </tbody>
       </table>
 
       <div class="actionButtons" tal:condition="view/availableActions">
-	<span tal:repeat="action view/actions"
-	      tal:omit-tag="">
-	  <input tal:condition="python:action.label in view.tabtwoactions"
-		 tal:replace="structure action/render"/>
-	</span>
+        <span tal:repeat="action view/actions"
+              tal:omit-tag="">
+          <input tal:condition="python:action.label in view.tabtwoactions"
+                 tal:replace="structure action/render"/>
+        </span>
       </div>
     </div>
@@ -115,60 +115,60 @@
       <br />
       <table class="display dataTableManage">
-	<thead>
-	  <tr>
-	    <th>&nbsp;</th><th>User</th><th>Local Role</th>
-	  </tr>
-	</thead>
-	<tbody>
-	  <tr tal:repeat="entry view/getUsersWithLocalRoles"
-	      class="gradeB">
-	    <td>
-	      <input type="checkbox" name="role_id"
-		     tal:attributes="value python: entry['user_name']+'|'+entry['local_role']" />
-	    </td>
-	    <td tal:content="entry/user_title">User
-	    </td>
-	    <td tal:content="entry/local_role_title">
-	      Local Role
-	    </td>
-	  </tr>
-	</tbody>
+        <thead>
+          <tr>
+            <th>&nbsp;</th><th>User</th><th>Local Role</th>
+          </tr>
+        </thead>
+        <tbody>
+          <tr tal:repeat="entry view/getUsersWithLocalRoles"
+              class="gradeB">
+            <td>
+              <input type="checkbox" name="role_id"
+                     tal:attributes="value python: entry['user_name']+'|'+entry['local_role']" />
+            </td>
+            <td tal:content="entry/user_title">User
+            </td>
+            <td tal:content="entry/local_role_title">
+              Local Role
+            </td>
+          </tr>
+        </tbody>
       </table>
       <div class="actionButtons" tal:condition="view/availableActions">
-	<span tal:repeat="action view/actions"
-	      tal:omit-tag="">
-	  <input tal:condition="python:action.label in view.tabthreeactions1"
-		 tal:replace="structure action/render"/>
-	</span>
+        <span tal:repeat="action view/actions"
+              tal:omit-tag="">
+          <input tal:condition="python:action.label in view.tabthreeactions1"
+                 tal:replace="structure action/render"/>
+        </span>
       </div>
       <br /><br />
       <table class="zebra">
-	<tr>
-	  <td>
-	    <select  id="user" name="user">
-	      <option tal:repeat="user view/getUsers"
-		      tal:attributes="value user/name">
-		<span tal:replace="user/val/description">USERTITLE</span>
-	      </option>
-	    </select>
-	  </td>
-	  <td>
-	    <select id="local_role" name="local_role">
-	      <option tal:repeat="localrole view/getLocalRoles"
-		      tal:attributes="value localrole/name">
-		<span tal:replace="localrole/title">LOCALROLETITLE</span>
-	      </option>
-	    </select>
-	  </td>
-	  <td>
-	    <div class="actionButtons" tal:condition="view/availableActions">
-	      <span tal:repeat="action view/actions"
-		    tal:omit-tag="">
-		<input tal:condition="python:action.label in view.tabthreeactions2"
-		       tal:replace="structure action/render"/>
-	      </span>
-	    </div>
-	  </td>
-	</tr>
+        <tr>
+          <td>
+            <select  id="user" name="user">
+              <option tal:repeat="user view/getUsers"
+                      tal:attributes="value user/name">
+                <span tal:replace="user/val/description">USERTITLE</span>
+              </option>
+            </select>
+          </td>
+          <td>
+            <select id="local_role" name="local_role">
+              <option tal:repeat="localrole view/getLocalRoles"
+                      tal:attributes="value localrole/name">
+                <span tal:replace="localrole/title">LOCALROLETITLE</span>
+              </option>
+            </select>
+          </td>
+          <td>
+            <div class="actionButtons" tal:condition="view/availableActions">
+              <span tal:repeat="action view/actions"
+                    tal:omit-tag="">
+                <input tal:condition="python:action.label in view.tabthreeactions2"
+                       tal:replace="structure action/render"/>
+              </span>
+            </div>
+          </td>
+        </tr>
       </table>
     </div>