Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/departmentmanagepage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/departmentmanagepage.pt	(revision 6175)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/departmentmanagepage.pt	(revision 6176)
@@ -1,213 +1,173 @@
-<h2 i18n:translate=""
-tal:condition="view/label"
-tal:content="view/label">Label</h2>
-
-<div class="form-status"
-tal:define="status view/status"
-tal:condition="status">
-
-<div i18n:translate="" tal:content="view/status">
-  Form status summary
+<h2 i18n:translate="" tal:condition="view/label" tal:content="view/label">Label</h2>
+<div class="form-status" tal:define="status view/status" tal:condition="status">
+    <div i18n:translate="" tal:content="view/status"> Form status summary
+    </div>
+    <ul class="errors" tal:condition="view/errors">
+        <li tal:repeat="error view/error_views">
+            <span tal:replace="structure error">Error Type
+            </span>
+        </li>
+    </ul>
 </div>
-
-<ul class="errors" tal:condition="view/errors">
-  <li tal:repeat="error view/error_views">
-     <span tal:replace="structure error">Error Type</span>
-  </li>
-</ul>
-</div>
-
-
-<form action="." tal:attributes="action request/URL" method="POST"
-      class="edit-form" enctype="multipart/form-data"> 
-
-<div id="tabs">
-<ul>
-  <li><a href="#tab-1"><span>Settings</span></a></li>
-  <li><a href="#tab-2">Courses</a></li>
-  <li><a href="#tab-3">Certificates</a></li>
-  <li><a href="#tab-4">Local Roles</a></li>
-</ul>
-   
-<div id="tab-1">        
-    <table class="zebra">
-        <tbody>
-        <tal:block repeat="widget view/widgets">
-            <tr>
-              <td class="label" tal:define="hint widget/hint">
-            <label tal:condition="python:hint"
-                   tal:attributes="for widget/name">
-              <span class="required" tal:condition="widget/required"
-            	>*</span><span i18n:translate=""
-            	tal:content="widget/label">label</span>
-            </label>
-            <label tal:condition="python:not hint"
-                   tal:attributes="for widget/name">
-              <span class="required" tal:condition="widget/required"
-            	>*</span><span i18n:translate=""
-            	tal:content="widget/label">label</span>
-            </label>:
-              </td>
-              <td class="field">
-            <div class="widget" tal:content="structure widget">
-              <input type="text" />
-            </div>
-            <div class="error" tal:condition="widget/error">
-              <span tal:replace="structure widget/error">error</span>
-            </div>
-              </td>
-            </tr>
-        </tal:block>
-        </tbody>
-    </table>
-
-    <div class="actionButtons" tal:condition="view/availableActions">
-        <span tal:repeat="action view/actions"
-              tal:omit-tag="">
-          <input tal:condition="python:action.label in view.taboneactions"
-                 tal:replace="structure action/render"/>
-        </span>
-    </div>
-
-</div>    
-    
-<div id="tab-2">  
-    <br />
-    <table class="display dataTableManage">
-      <thead>
-        <tr>
-          <th>&nbsp;</th><th>Code</th><th>Title</th>
-        </tr>
-      </thead>
-      <tbody>
-        <tr tal:repeat="entry view/getCourses"
-    	class="gradeB">
-    	  <td>
-            <input type="checkbox" name="val_id" tal:attributes="value entry/name" />
-          </td>
-          <td>
-        	<a href=""
-        	   tal:attributes="href entry/url"
-        	   tal:content="entry/name">Name</a>
-          </td>
-          <td tal:content="entry/container/title">
-    	       Title
-          </td> 
-        </tr>
-      </tbody>
-    </table>
-    <br /><br />
-    <div class="actionButtons" tal:condition="view/availableActions">
-        <span tal:repeat="action view/actions"
-              tal:omit-tag="">
-          <input tal:condition="python:action.label in view.tabtwoactions"
-                 tal:replace="structure action/render"/>
-        </span>
-    </div>
-</div>
-
-<div id="tab-3">  
-    <br />  
-    <table class="display dataTableManage">
-      <thead>
-        <tr>
-          <th>&nbsp;</th><th>Code</th><th>Title</th>
-        </tr>
-      </thead>
-      <tbody>
-        <tr tal:repeat="entry view/getCertificates"
-    	class="gradeB">
-    	  <td>
-            <input type="checkbox" name="val_id" tal:attributes="value entry/name" />
-          </td>
-          <td>
-        	<a href=""
-        	   tal:attributes="href entry/url"
-        	   tal:content="entry/name">Name</a>
-          </td>
-          <td tal:content="entry/container/title">
-    	       Title
-          </td> 
-        </tr>
-      </tbody>
-    </table>
-    <br /><br />
-    <div class="actionButtons" tal:condition="view/availableActions">
-        <span tal:repeat="action view/actions"
-              tal:omit-tag="">
-          <input tal:condition="python:action.label in view.tabthreeactions"
-                 tal:replace="structure action/render"/>
-        </span>
-    </div>
-</div> 
-
-<div id="tab-4">
-    <br />
-    <table class="display dataTableManage">
-      <thead>
-        <tr>
-          <th>&nbsp;</th><th>User Id</th><th>Name</th><th>Local Role</th>
-        </tr>
-      </thead>
-      <tbody>
-        <tr tal:repeat="entry view/getUsersWithLocalRoles"
-    	class="gradeB">
-    	  <td>
-            <input type="checkbox" name="role_id"
-                tal:attributes="value python: entry['user_name']+'|'+entry['local_role']" />
-          </td>
-          <td tal:content="entry/user_name">
-               USERNAME
-          </td>
-          <td tal:content="entry/user_title">
-               USERTITLE
-          </td>
-          <td tal:content="entry/local_role_title">
-    	       LOCAL ROLE
-          </td>
-        </tr>
-      </tbody>
-    </table>
-    <br /><br />
-    <div class="actionButtons" tal:condition="view/availableActions">
-        <span tal:repeat="action view/actions"
-              tal:omit-tag="">
-          <input tal:condition="python:action.label in view.tabfouractions1"
-                 tal:replace="structure action/render"/>
-        </span>
-    </div>
-    <br /><br />
-    <table class="zebra">
-    <tr>
-        <td>
-            <select  id="user" name="user">
-              <option tal:attributes="value user/name" tal:repeat="user view/getUsers">
-                <span tal:replace="user/val/description">USERTITLE</span>
-              </option>
-            </select>
-        </td>
-        <td>
-            <select  id="local_role" name="local_role">
-              <option tal:attributes="value localrole/name" tal:repeat="localrole view/getLocalRoles">
-                <span tal:replace="localrole/title">LOCALROLETITLE</span>
-              </option>
-            </select>
-        </td>
-        <td>
+<form action="." tal:attributes="action request/URL" method="POST" class="edit-form" enctype="multipart/form-data">
+    <div id="tabs">
+        <ul>
+            <li>
+                <a href="#tab-1">
+                    <span>Settings
+                    </span></a>
+            </li>
+            <li>
+                <a href="#tab-2">Courses</a></li>
+            <li>
+                <a href="#tab-3">Certificates</a>
+            </li>
+            <li>
+                <a href="#tab-4">Local Roles</a>
+            </li>
+        </ul>
+        <div id="tab-1">
+            <table class="zebra">
+                <tbody>
+                    <tal:block repeat="widget view/widgets">
+                        <tr>
+                            <td class="label" tal:define="hint widget/hint">
+                                <label tal:condition="python:hint" tal:attributes="for widget/name">
+                                    <span class="required" tal:condition="widget/required">*
+                                    </span>
+                                    <span i18n:translate="" tal:content="widget/label">label
+                                    </span>
+                                </label>
+                                <label tal:condition="python:not hint" tal:attributes="for widget/name">
+                                    <span class="required" tal:condition="widget/required">*
+                                    </span>
+                                    <span i18n:translate="" tal:content="widget/label">label
+                                    </span>
+                                </label>:
+                            </td>
+                            <td class="field">
+                                <div class="widget" tal:content="structure widget">
+                                    <input type="text" />
+                                </div>
+                                <div class="error" tal:condition="widget/error">
+                                    <span tal:replace="structure widget/error">error
+                                    </span>
+                                </div>
+                            </td>
+                        </tr>
+                    </tal:block>
+                </tbody>
+            </table>
             <div class="actionButtons" tal:condition="view/availableActions">
-                <span tal:repeat="action view/actions"
-                      tal:omit-tag="">
-                  <input tal:condition="python:action.label in view.tabfouractions2"
-                         tal:replace="structure action/render"/>
+                <span tal:repeat="action view/actions" tal:omit-tag="">
+                    <input tal:condition="python:action.label in view.taboneactions" tal:replace="structure action/render"/>
                 </span>
             </div>
-        </td>
-        
-    </tr>
-    </table>
-</div>
-</div>
-</form>  
-
-
-
+        </div>
+        <div id="tab-2">   <br />
+            <table class="display dataTableManage">
+                <thead>
+                    <tr>
+                        <th>&nbsp;</th>
+                        <th>Code</th>
+                        <th>Title</th>
+                    </tr>
+                </thead>
+                <tbody>
+                    <tr tal:repeat="entry view/getCourses"  class="gradeB"> <td>
+                            <input type="checkbox" name="val_id" tal:attributes="value entry/name" /> </td> <td>
+                            <a href="" tal:attributes="href entry/url" tal:content="entry/name">Name</a> </td>
+                        <td tal:content="entry/container/title"> Title </td>
+                    </tr>
+                </tbody>
+            </table> <br /><br />
+            <div class="actionButtons" tal:condition="view/availableActions">
+                <span tal:repeat="action view/actions" tal:omit-tag="">
+                    <input tal:condition="python:action.label in view.tabtwoactions" tal:replace="structure action/render"/>
+                </span>
+            </div>
+        </div>
+        <div id="tab-3">   <br />
+            <table class="display dataTableManage">
+                <thead>
+                    <tr>
+                        <th>&nbsp;</th>
+                        <th>Code</th>
+                        <th>Title</th>
+                    </tr>
+                </thead>
+                <tbody>
+                    <tr tal:repeat="entry view/getCertificates"  class="gradeB">
+                        <td>
+                            <input type="checkbox" name="val_id" tal:attributes="value entry/name" />
+                        </td>
+                        <td>
+                            <a href="" tal:attributes="href entry/url" tal:content="entry/name">Name</a>
+                        </td>
+                        <td tal:content="entry/container/title"> Title
+                        </td>
+                    </tr>
+                </tbody>
+            </table> <br /><br />
+            <div class="actionButtons" tal:condition="view/availableActions">
+                <span tal:repeat="action view/actions" tal:omit-tag="">
+                    <input tal:condition="python:action.label in view.tabthreeactions" tal:replace="structure action/render"/>
+                </span>
+            </div>
+        </div>
+        <div id="tab-4"> <br />
+            <table class="display dataTableManage">
+                <thead>
+                    <tr>
+                        <th>&nbsp;</th>
+                        <th>User Id</th>
+                        <th>Name</th>
+                        <th>Local Role</th>
+                    </tr>
+                </thead>
+                <tbody>
+                    <tr tal:repeat="entry view/getUsersWithLocalRoles"  class="gradeB">
+                        <td>
+                            <input type="checkbox" name="role_id" tal:attributes="value python: entry['user_name']+'|'+entry['local_role']" />
+                        </td>
+                        <td tal:content="entry/user_name"> USERNAME  </td>
+                        <td tal:content="entry/user_title"> USERTITLE  </td>
+                        <td tal:content="entry/local_role_title"> LOCAL ROLE </td>
+                    </tr>
+                </tbody>
+            </table> <br /><br />
+            <div class="actionButtons" tal:condition="view/availableActions">
+                <span tal:repeat="action view/actions" tal:omit-tag="">
+                    <input tal:condition="python:action.label in view.tabfouractions1" tal:replace="structure action/render"/>
+                </span>
+            </div> <br /><br />
+            <table class="zebra">
+                <tr>
+                    <td>
+                        <select id="user" name="user">
+                            <option tal:attributes="value user/name" tal:repeat="user view/getUsers">
+                            <span tal:replace="user/val/description">USERTITLE
+                            </span>
+                            </option>
+                        </select>
+                    </td>
+                    <td>
+                        <select id="local_role" name="local_role">
+                            <option tal:attributes="value localrole/name" tal:repeat="localrole view/getLocalRoles">
+                            <span tal:replace="localrole/title">LOCALROLETITLE
+                            </span>
+                            </option>
+                        </select>
+                    </td>
+                    <td>
+                        <div class="actionButtons" tal:condition="view/availableActions">
+                            <span tal:repeat="action view/actions" tal:omit-tag="">
+                                <input tal:condition="python:action.label in view.tabfouractions2" tal:replace="structure action/render"/>
+                            </span>
+                        </div>
+                    </td>
+                </tr>
+            </table>
+        </div>
+    </div>
+</form>