Index: main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/form_edit_full.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/form_edit_full.pt	(revision 6196)
+++ 	(revision )
@@ -1,75 +1,0 @@
-<form action="." tal:attributes="action request/URL" method="post"
-      class="edit-form" enctype="multipart/form-data">
-
-  <h2 i18n:translate=""
-    tal:condition="view/label"
-    tal:content="view/label">Label</h2>
-
-  <div class="form-status"
-    tal:define="status view/status"
-    tal:condition="status">
-
-    <div i18n:translate="" tal:content="view/status">
-      Form status summary
-    </div>
-
-    <ul class="errors" tal:condition="view/errors">
-      <li tal:repeat="error view/error_views">
-         <span tal:replace="structure error">Error Type</span>
-      </li>
-    </ul>
-  </div>
-
-  <table class="form-fields zebra">
-    <tbody>
-      <tal:block repeat="widget view/filteredWidgets">
-        <tr>
-          <td class="label" tal:define="hint widget/hint">
-            <label tal:condition="python:hint"
-                   tal:attributes="for widget/name">
-              <span class="required" tal:condition="widget/required"
-              >*</span><span i18n:translate=""
-                             tal:content="widget/label">label</span>
-            </label>
-            <label tal:condition="python:not hint"
-                   tal:attributes="for widget/name">
-              <span class="required" tal:condition="widget/required"
-              >*</span><span i18n:translate=""
-                             tal:content="widget/label">label</span>
-            </label>
-          </td>
-          <td class="field">
-            <div class="widget" tal:content="structure widget">
-              <input type="text" />
-            </div>
-            <div class="error" tal:condition="widget/error">
-              <span tal:replace="structure widget/error">error</span>
-            </div>
-          </td>
-        </tr>
-      </tal:block>
-      <tr>
-	<td colspan="2">
-	  <input class="hiddenType" id="form.confirm_passport.used" 
-		 name="form.confirm_passport.used" type="hidden" value="" />
-	  <input type="checkbox" name="form.confirm_passport"
-		 tal:attributes="checked context/confirm_passport"
-		 />
-	  <label for="confirm"></label>
-<span>
-	    I confirm that the Passport Photograph uploaded on this form
-            is a true picture of me.
-	  </span>
-	</td>
-      </tr>
-    </tbody>
-  </table>
-
-  <div id="actionsView">
-    <span class="actionButtons" tal:condition="view/availableActions">
-      <input tal:repeat="action view/actions"
-             tal:replace="structure action/render"
-             />
-    </span>
-  </div>
-</form>
Index: main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/form_edit_pde.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/form_edit_pde.pt	(revision 6196)
+++ 	(revision )
@@ -1,94 +1,0 @@
-<form action="." tal:attributes="action request/URL" method="post"
-      class="edit-form" enctype="multipart/form-data">
-
-  <h2 i18n:translate=""
-    tal:condition="view/label"
-    tal:content="view/label">Label</h2>
-
-  <div class="form-status"
-    tal:define="status view/status"
-    tal:condition="status">
-
-    <div i18n:translate="" tal:content="view/status">
-      Form status summary
-    </div>
-
-    <ul class="errors" tal:condition="view/errors">
-      <li tal:repeat="error view/error_views">
-         <span tal:replace="structure error">Error Type</span>
-      </li>
-    </ul>
-  </div>
-
-  <div class="block">
-    <h3>Instructions</h3>
-    <ol class="list">
-      <li>
-	Fill the form and upload your Passport Photograph with red background
-	in jpg format.
-      </li>
-      <li>
-	Save and preview picture.
-      </li>
-      <li>
-	Press the <em>Final Submit</em> button.
-      </li>
-    </ol>
-  </div>
-
-  <table class="form-fields zebra">
-    <tbody>
-      <tal:block repeat="widget view/filteredWidgets">
-        <tr>
-          <td class="label" tal:define="hint widget/hint">
-            <label tal:condition="python:hint"
-                   tal:attributes="for widget/name">
-              <span class="required" tal:condition="widget/required"
-              >*</span><span i18n:translate=""
-                             tal:content="widget/label">label</span>
-            </label>
-            <label tal:condition="python:not hint"
-                   tal:attributes="for widget/name">
-              <span class="required" tal:condition="widget/required"
-              >*</span><span i18n:translate=""
-                             tal:content="widget/label">label</span>
-            </label>
-          </td>
-          <td class="field">
-            <div class="widget" tal:content="structure widget">
-              <input type="text" />
-            </div>
-            <div class="error" tal:condition="widget/error">
-              <span tal:replace="structure widget/error">error</span>
-            </div>
-          </td>
-        </tr>
-      </tal:block>
-      <tr>
-	<td colspan="2">
-	  <input class="hiddenType" id="form.confirm_passport.used" 
-		 name="form.confirm_passport.used" type="hidden" value="" />
-	  <input type="checkbox" name="form.confirm_passport"
-		 tal:attributes="checked context/confirm_passport"
-		 />
-	  <label for="confirm"></label>
-<span>
-	    I confirm that the Passport Photograph uploaded on this form
-            is a true picture of me.
-	  </span>
-	</td>
-      </tr>
-    </tbody>
-  </table>
-
-  <div id="actionsView">
-    <span class="actionButtons" tal:condition="view/availableActions">
-      <input tal:repeat="action view/actions"
-             tal:replace="structure action/render"
-             />
-    </span>
-  </div>
-</form>
-
-<br />
-