Index: /main/waeup.sirp/trunk/src/waeup/sirp/browser/batchprocessing.txt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/browser/batchprocessing.txt	(revision 6243)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/browser/batchprocessing.txt	(revision 6244)
@@ -476,5 +476,5 @@
     >>> print open(pending_file).read()
     title_prefix,--IGNORE--,code,title,--ERRORS--
-    faculty,static,FAC1,Faculty 1,This object already exists. Skipping.
+    faculty,static,FAC1,Faculty 1,This object already exists in the same container. Skipping.
 
     >>> finished_file = dc_path + '/finished/newfaculties_zope.mgr.create.finished.csv'
Index: /main/waeup.sirp/trunk/src/waeup/sirp/university/certificate.txt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/university/certificate.txt	(revision 6243)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/university/certificate.txt	(revision 6244)
@@ -338,9 +338,7 @@
     >>> mycourse.code = 'MYCOURSE'
     >>> mydept.courses.addCourse(mycourse)
-    'Course added (for tests only).'
     >>> mycert = createObject('waeup.Certificate')
     >>> mycert.code = 'MYCERT'
     >>> mydept.certificates.addCertificate(mycert)
-    'Certificate added (for tests only).'
     >>> mycert.addCourseRef(mycourse)
 
Index: /main/waeup.sirp/trunk/src/waeup/sirp/university/courserefs.txt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/university/courserefs.txt	(revision 6243)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/university/courserefs.txt	(revision 6244)
@@ -48,5 +48,4 @@
     >>> course.code = 'CRS1'
     >>> fac['DEPT'].courses.addCourse(course)
-    'Course added.'
 
 Now let's add another department, which will also hold a course:
@@ -59,5 +58,4 @@
     >>> course.code = 'CRS2'
     >>> fac['DEPT2'].courses.addCourse(course)
-    'Course added.'
 
 Finally, we add a certificate with referrers (certificate courses) to
@@ -67,5 +65,4 @@
     >>> cert.code = 'CERT'
     >>> fac['DEPT'].certificates.addCertificate(cert)
-    'Certificate added.'
 
     >>> fac['DEPT'].certificates['CERT'].addCourseRef(
Index: /main/waeup.sirp/trunk/src/waeup/sirp/utils/batching.txt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/utils/batching.txt	(revision 6243)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/utils/batching.txt	(revision 6244)
@@ -323,8 +323,8 @@
     >>> print open(result[3]).read()
     owner,name,taxpayer,dinoports,--ERRORS--
-    Barney,Barneys Home,1,2,This object already exists. Skipping.
-    Wilma,Wilmas Asylum,1,1,This object already exists. Skipping.
-    Fred,Freds Dinoburgers,0,10,This object already exists. Skipping.
-    Joey,Joeys Drive-in,0,110,This object already exists. Skipping.
+    Barney,Barneys Home,1,2,This object already exists in the same container. Skipping.
+    Wilma,Wilmas Asylum,1,1,This object already exists in the same container. Skipping.
+    Fred,Freds Dinoburgers,0,10,This object already exists in the same container. Skipping.
+    Joey,Joeys Drive-in,0,110,This object already exists in the same container. Skipping.
 
 This way we can correct the faulty entries and afterwards retry without
@@ -364,8 +364,8 @@
     >>> print open(result[3], 'rb').read()
     --IGNORE--,name,--IGNORE--,dinoports,--ERRORS--
-    Barney,Barneys Home,1,2,This object already exists. Skipping.
-    Wilma,Wilmas Asylum,1,1,This object already exists. Skipping.
-    Fred,Freds Dinoburgers,0,10,This object already exists. Skipping.
-    Joey,Joeys Drive-in,0,110,This object already exists. Skipping.
+    Barney,Barneys Home,1,2,This object already exists in the same container. Skipping.
+    Wilma,Wilmas Asylum,1,1,This object already exists in the same container. Skipping.
+    Fred,Freds Dinoburgers,0,10,This object already exists in the same container. Skipping.
+    Joey,Joeys Drive-in,0,110,This object already exists in the same container. Skipping.
 
 The first ignored column ('owner') provides different contents than